package com.cool.store.service.fees;

import com.cool.store.request.fees.FeeStandardConfigAddRequest;
import com.cool.store.request.fees.FeeStandardConfigPageRequest;
import com.cool.store.vo.fees.FeeStandardConfigVO;
import com.github.pagehelper.PageInfo;

import java.util.List;

/**
 * 加盟费用标准收费额配置Service
 */
public interface FeeStandardConfigService {

    Boolean add(FeeStandardConfigAddRequest request);

    Boolean update(FeeStandardConfigAddRequest request);

    PageInfo<FeeStandardConfigVO> page(FeeStandardConfigPageRequest request);

    /**
     * 根据门店id查询配置
     * @param shopId 门店id
     * @return 加盟费用标准收费额配置VO
     */
    List<FeeStandardConfigVO> getByShopId(Long shopId);
}


